Loading...
Searching...
No Matches
RDGeom::PointND Class Reference

`#include <point.h>`

Inheritance diagram for RDGeom::PointND:

## Public Types

typedef boost::shared_ptr< RDNumeric::Vector< double > > | VECT_SH_PTR

## Public Member Functions

| PointND (unsigned int dim)
| PointND (const PointND &other)
Point * | copy () const override
| ~PointND () override=default
double | operator[] (unsigned int i) const override
double & | operator[] (unsigned int i) override
void | normalize () override
double | length () const override
double | lengthSq () const override
unsigned int | dimension () const override
PointND & | operator= (const PointND &other)
PointND & | operator+= (const PointND &other)
PointND & | operator-= (const PointND &other)
PointND & | operator*= (double scale)
PointND & | operator/= (double scale)
PointND | directionVector (const PointND &other)
double | dotProduct (const PointND &other) const
double | angleTo (const PointND &other) const
Public Member Functions inherited from RDGeom::Point
virtual | ~Point ()

## Detailed Description

Definition at line 426 of file point.h.

## Member Typedef Documentation

## VECT_SH_PTR

typedef boost::shared_ptr<RDNumeric::Vector<double> > RDGeom::PointND::VECT_SH_PTR

Definition at line 428 of file point.h.

## Constructor & Destructor Documentation

## PointND() [1/2]

RDGeom::PointND::PointND | ( | unsigned int | dim | ) |

inline

Definition at line 430 of file point.h.

Referenced by angleTo(), copy(), directionVector(), dotProduct(), operator*=(), operator+=(), operator-=(), operator/=(), operator=(), and PointND().

## PointND() [2/2]

RDGeom::PointND::PointND | ( | const PointND & | other | ) |

inline

Definition at line 435 of file point.h.

References PointND().

## ~PointND()

RDGeom::PointND::~PointND | ( |  | ) |

override default

## Member Function Documentation

## angleTo()

double RDGeom::PointND::angleTo | ( | const PointND & | other | ) | const

inline

Definition at line 507 of file point.h.

References dotProduct(), length(), and PointND().

## copy()

Point * RDGeom::PointND::copy | ( |  | ) | const

inline override virtual

Implements RDGeom::Point.

Definition at line 441 of file point.h.

References PointND().

## dimension()

unsigned int RDGeom::PointND::dimension | ( |  | ) | const

inline override virtual

Implements RDGeom::Point.

Definition at line 461 of file point.h.

Referenced by directionVector().

## directionVector()

PointND RDGeom::PointND::directionVector | ( | const PointND & | other | ) |

inline

Definition at line 494 of file point.h.

References dimension(), normalize(), PointND(), and PRECONDITION.

## dotProduct()

double RDGeom::PointND::dotProduct | ( | const PointND & | other | ) | const

inline

Definition at line 503 of file point.h.

References PointND().

Referenced by angleTo().

## length()

double RDGeom::PointND::length | ( |  | ) | const

inline override virtual

Implements RDGeom::Point.

Definition at line 455 of file point.h.

Referenced by angleTo().

## lengthSq()

double RDGeom::PointND::lengthSq | ( |  | ) | const

inline override virtual

Implements RDGeom::Point.

Definition at line 457 of file point.h.

## normalize()

void RDGeom::PointND::normalize | ( |  | ) |

inline override virtual

Implements RDGeom::Point.

Definition at line 453 of file point.h.

Referenced by directionVector().

## operator*=()

PointND & RDGeom::PointND::operator*= | ( | double | scale | ) |

inline

Definition at line 484 of file point.h.

References PointND().

## operator+=()

PointND & RDGeom::PointND::operator+= | ( | const PointND & | other | ) |

inline

Definition at line 474 of file point.h.

References PointND().

## operator-=()

PointND & RDGeom::PointND::operator-= | ( | const PointND & | other | ) |

inline

Definition at line 479 of file point.h.

References PointND().

## operator/=()

PointND & RDGeom::PointND::operator/= | ( | double | scale | ) |

inline

Definition at line 489 of file point.h.

References PointND().

## operator=()

PointND & RDGeom::PointND::operator= | ( | const PointND & | other | ) |

inline

Definition at line 463 of file point.h.

References PointND().

## operator[]() [1/2]

double RDGeom::PointND::operator[] | ( | unsigned int | i | ) | const

inline override virtual

Implements RDGeom::Point.

Definition at line 445 of file point.h.

## operator[]() [2/2]

double & RDGeom::PointND::operator[] | ( | unsigned int | i | ) |

inline override virtual

Implements RDGeom::Point.

Definition at line 449 of file point.h.

The documentation for this class was generated from the following file:

- point.h